Package icyllis.modernui.graphics

# Enum Class Paint.Cap

java.lang.Object
java.lang.Enum<Paint.Cap>
icyllis.modernui.graphics.Paint.Cap

All Implemented Interfaces:
  `Serializable`, `Comparable<Paint.Cap>`, `Constable`

Enclosing class:
  `Paint`

public static enum Paint.Cap extends Enum<Paint.Cap>
The `Cap` specifies the treatment for the beginning and ending of stroked lines and paths. The default is `ROUND`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BUTT`
  The stroke ends with the path, and does not project beyond it.
  `ROUND`
  The stroke projects out as a semicircle, with the center at the end of the path.
  `SQUARE`
  The stroke projects out as a square, with the center at the end of the path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Paint.Cap`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Paint.Cap[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BUTT

    public static final Paint.Cap BUTT
    The stroke ends with the path, and does not project beyond it.

  - ### ROUND

    public static final Paint.Cap ROUND
    The stroke projects out as a semicircle, with the center at the end of the path.

  - ### SQUARE

    public static final Paint.Cap SQUARE
    The stroke projects out as a square, with the center at the end of the path.

- ## Method Details

  - ### values

    public static Paint.Cap[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Paint.Cap valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null